XKBCLI-COMPILE-KEYMAP(1)

NAME
xkbcli-compile-keymap - compile an X Keyboard keymap

SYNOPSIS
xkbcli-compile-keymap [options] [KEYMAP_PATH]

DESCRIPTION
xkbcli-compile-keymap compiles and prints a keymap based on the given options.

KEYMAP_PATH
    Path to a keymap file, or “-” to read the standard input

--help
    Print help and exit

--verbose
    Enable verbose debugging output

--test
    Test compilation but do not print the keymap

--rmlvo
    Print the full RMLVO with the defaults filled in for missing elements

--keymap [PATH], --from-xkb [PATH]
    Load the XKB file from a file, ignore RMLVO options. If PATH is empty or “-”, read the stdin.

--include PATH
    Add the given path to the include path list. This option is order-dependent, include paths given first are searched first. If an include path is given, the default include path list is not used. Use --include-defaults to add the default include paths.

--include-defaults
    Add the default set of include directories. This option is order-dependent, include paths given first are searched first.

--rules rules
    The XKB ruleset

--model model
    The XKB model

--layout layout
    The XKB layout

--variant variant
    The XKB layout variant

--options options
    The XKB options

SEE ALSO
xkbcli(1), The libxkbcommon online documentation: https://xkbcommon.org